Resume a Starlink Service Line
Resume a Starlink service line that has a pending cancellation.
Required Capabilities
Starlink Manager
Request
Path parameters
Reference ID of the Starlink service line to resume.
Response
200 The service line is resumed successfully
A json is returned in the response body with the following fields:
Reference ID of the service line.
Reference ID of the Starlink account the service line belongs to.
Name of the service line.
Type of the service line.
LOCAL— Local priority data planGLOBAL— Global priority data plan
Reference ID of the Starlink address associated with the service line.
Terminal access charge of the service line.
Show child attributes
SKU of the terminal access charge product.
Product name of the terminal access charge.
Starlink product ID of the terminal access charge.
Data blocks included in the service line plan.
Show child attributes
SKU of the data block product.
Product name of the data block.
Starlink product ID of the data block.
Data volume of the data block.
Unit of the data volume (e.g. GB).
Quantity of the data block.
Auto top-up status of the service line.
OPT_IN— Opted in to auto top-up.OPT_OUT— Opted out of auto top-up.
Reference IDs of the Starlink devices assigned to the service line.
Date and time the service line was cancelled. null if not cancelled.
Indicates whether the service line is set to cancel immediately.
Starlink service line number. null if not yet assigned.
Date and time the service line starts. null if not applicable.
Date and time the service line ends. null if not applicable.
Top-ups applied to the service line.
Show child attributes
ID of the top-up.
Starlink request reference ID of the top-up.
SKU of the top-up product.
Product name of the top-up.
Starlink product ID of the top-up.
Data volume of the top-up.
Unit of the data volume.
Quantity of the top-up.
Date and time the top-up was synced to Starlink. null if not yet synced.
Date and time the top-up was created.
Username of the user who created the top-up.
Email of the user who created the top-up. null if not applicable.
Date and time the top-up was last updated.
Username of the user who last updated the top-up.
Email of the user who last updated the top-up. null if not applicable.
Plan changes scheduled or applied to the service line.
Show child attributes
ID of the change plan.
Starlink request reference ID of the change plan.
Indicates whether the plan change is scheduled for a future date.
Type of the change plan.
LOCAL— Local priority data planGLOBAL— Global priority data plan
Terminal access charge of the change plan.
Show child attributes
SKU of the terminal access charge product.
Product name of the terminal access charge.
Starlink product ID of the terminal access charge.
Data blocks included in the change plan.
Show child attributes
SKU of the data block product.
Product name of the data block.
Starlink product ID of the data block.
Data volume of the data block.
Unit of the data volume (e.g. GB).
Quantity of the data block.
Date and time the change plan takes effect. null if not applicable.
Date and time the change plan was cancelled. null if not cancelled.
Date and time the change plan was synced to Starlink. null if not yet synced.
Date and time the change plan was created.
Username of the user who created the change plan.
Email of the user who created the change plan. null if not applicable.
Date and time the change plan was last updated.
Username of the user who last updated the change plan.
Email of the user who last updated the change plan. null if not applicable.
Status of the service line. null if not applicable.
Current data usage information of the service line. null if not available.
Show child attributes
Total data usage limit in GB for the current billing cycle.
Total data consumed in GB for the current billing cycle.
Breakdown of data usage by block.
Show child attributes
Start date and time of the data block period.
Expiry date and time of the data block.
Total data amount in GB for this block.
Data consumed in GB for this block.
Type of the data block.
Number of blocks aggregated in this entry.
Start of the current billing cycle. null if not applicable.
End of the current billing cycle. null if not applicable.
Start of the recurring data period. null if not applicable.
End of the recurring data period. null if not applicable.
Date and time Starlink last updated the usage data. null if not applicable.
Date and time the usage data was last synced. null if not applicable.
Starlink sync information of the service line.
Show child attributes
The sync status of the service line. null if not applicable.
PENDING— The sync is pending.ABORTED— The sync has been aborted.SYNCING— The sync is in progress.SYNCED— The sync has completed.
The number of times the service line sync has been run.
The maximum number of times the service line sync can be run.
The last time the service line was synced. null if not applicable.
Date and time the service line was created.
Username of the user who created the service line.
Email of the user who created the service line. null if not applicable.
Date and time the service line was last updated.
Username of the user who last updated the service line.
Email of the user who last updated the service line. null if not applicable.
400 Request is invalid
No service line is resumed as the request is invalid.
Check the response body for the error details.
Examples
Request
curl -X POST 'https://portal.peplink.com/api/e/v1/cp/starlink/service-lines/{refId}/resume' \ -H 'Authorization: Bearer {token}'Response
{
"refId": "57",
"starlinkAccountRefId": "92",
"type": "GLOBAL",
"name": "XXXXX",
"starlinkAddressRefId": "38",
"terminalAccessCharge": {
"sku": "SLK-GP-TAC-US",
"productName": "Starlink Global Priority Terminal Access Charge - US",
"starlinkProductId": "us-enterprise-global-priority-terminal-access-fee-usd"
},
"dataBlocks": [
{
"sku": "SLK-GP-50GB-DB-US",
"productName": "Starlink Global Priority 50 GB Data Block - US",
"starlinkProductId": "us-enterprise-global-priority-50gb-data-block-usd",
"dataVolume": 50,
"dataUnit": "GB",
"quantity": 1
}
],
"autoTopupStatus": "OPT_OUT",
"starlinkDeviceRefIds": ["XXXX00000009", "XXXX00000001"],
"cancelledAt": null,
"isCancelNow": false,
"starlinkServiceLineNumber": "SL-DF-XXXXXXXX-XXXXX-X",
"serviceStartAt": "2026-03-03T10:44:52.219Z",
"serviceEndAt": null,
"topups": [],
"changePlans": [],
"status": "ACTIVE",
"starlinkDataUsage": {
"usageLimitGb": 46.1,
"consumedAmountGb": 6.38,
"dataBlocks": [],
"billingCycleStartAt": "2026-03-01T00:00:00.000Z",
"billingCycleEndAt": "2026-04-01T00:00:00.000Z",
"recurringDataStartAt": "2026-03-03T10:44:52.208Z",
"recurringDataEndAt": "2026-04-01T00:00:00.000Z",
"starlinkUpdatedAt": "2026-03-25T01:00:04.194Z",
"syncedAt": "2026-03-25T01:00:15.534Z"
},
"starlinkSync": {
"syncStatus": "SYNCED",
"runCount": 0,
"runCountLimit": 10,
"lastSyncedAt": "2026-03-11T05:10:04.899Z"
},
"createdAt": "2026-02-26T12:51:19.443Z",
"createdBy": "John Smith",
"createdByEmail": "[email protected]",
"updatedAt": "2026-03-25T10:00:00.000Z",
"updatedBy": "Jane Doe",
"updatedByEmail": "[email protected]"
}